net.minecraftforge.event

## Enum EventPriority

- java.lang.Object
- - java.lang.Enum<EventPriority>
  - - net.minecraftforge.event.EventPriority

- All Implemented Interfaces:
    Serializable, Comparable<EventPriority>

      public enum EventPriority
      extends Enum<EventPriority>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH`
    `HIGHEST`
    `LOW`
    `LOWEST`
    `NORMAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventPriority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HIGHEST

          public static final EventPriority HIGHEST

    - #### HIGH

          public static final EventPriority HIGH

    - #### NORMAL

          public static final EventPriority NORMAL

    - #### LOW

          public static final EventPriority LOW

    - #### LOWEST

          public static final EventPriority LOWEST

  - ### Method Detail

    - #### values

          public static EventPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventPriority c : EventPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventPriority valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null